VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "SR-2300/5500/3500/6500/1800 USB SAMPLE"
   ClientHeight    =   4485
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6120
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4485
   ScaleWidth      =   6120
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Text1 
      Height          =   3375
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   1
      Top             =   240
      Width           =   5775
   End
   Begin VB.CommandButton Command1 
      Caption         =   "READ"
      Height          =   495
      Left            =   2040
      TabIndex        =   0
      Top             =   3840
      Width           =   1815
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim Ret             As Long


Private Sub Command1_Click()

Dim BitString       As String
    
    '*************** USB OPEN
    Ret = OMR_OpenDeviceUSB()
    If Ret <> SR_SUCCESS Then
        Ret = MsgBox("OMR USB ERORR", vbExclamation, "SR-2300 Sample Program")
        End
    End If

    '*************** OMR RESET
    Ret = OMR_Reset()
    If Ret <> 1 Then
        Ret = MsgBox("Command(Reset)Error" & vbCr & vbLf & OMR_FormatMessageVb(OMR_GetLastError()), vbExclamation, "SR-2300 Sample Program")
        End
    End If

    '***************@FEED CHECK
'    Ret = OMR_GetSensorInfo
'    BitString = Format$(LongToBinString(Ret), "00000000000000000000000000000000")
'    If Mid$(BitString, 6, 1) <> "1" Then
'        Ret = MsgBox("Sheet Empty", vbExclamation, "SR-2300 Sample Program")
'        End
'    End If

    '***************@Feed command
    Ret = OMR_FeedSheet
    If Ret <> 1 Then
        Ret = MsgBox("Command(FEED)Error" & vbCr & vbLf & OMR_FormatMessageVb(OMR_GetLastError()), vbExclamation, "SR-2300 Sample Program")
        End
    End If

    '***************@Err Status
    Ret = OMR_GetStatus
    If Ret <> SR_SUCCESS Then
        '
        Ret = MsgBox("error code =(" + Str(Ret) + ")" & vbCr & vbLf & OMR_FormatMessageVb(OMR_GetLastError()), vbExclamation, "SR-2300 Sample Program")
        End
    End If

    '***************@Mark Data
    Dim MarkInfo    As OMR_MARK
    Dim MarkArray(48 * 155) As Byte

    'MarkInfo.type = 0
    MarkInfo.columns = 48        ' Max columns
    MarkInfo.rows = 155          ' Max rows(Timming Marks)
 
    If OMR_GetMarks(0, MarkInfo, MarkArray(0)) <> 1 Then
        '
        Ret = MsgBox("Command(MarkRead)Error" & vbCr & vbLf & OMR_FormatMessageVb(OMR_GetLastError()), vbExclamation, "SR-2300 Sample Program")
        End
    End If

    '***************@Display Mark Data
    Dim Loop1       As Integer
    Dim Cnt         As Integer
    Dim TimCnt      As Integer
    Dim Dat         As String
    Me.Text1.Text = ""
    For Loop1 = 0 To (MarkInfo.rows * MarkInfo.columns)
        Cnt = Cnt + 1
        If (Cnt Mod MarkInfo.columns) = 0 Then
            TimCnt = TimCnt + 1
            Me.Text1.Text = Me.Text1.Text + Format(TimCnt, "000") + _
                    "lines mark density: " + Dat + Chr(&HD) + Chr(&HA)
            Dat = ""                                                        'data clear
        Else
            If MarkArray(Loop1) = 0 Then
                Dat = Dat + "--" + ","                                      'no mark
            Else
                Dat = Dat + Format$(Str(MarkArray(Loop1)), "00") + ","      'mark density
            End If
        End If
    Next Loop1

    '***************
    Ret = OMR_EjectSheet(SR_EJECT_MAIN)
    If Ret <> 1 Then
        Ret = MsgBox("Command error(?)", vbExclamation, "SR-2300 Sample Program")
        End
    End If

    '***************@hopper down
    Ret = OMR_MoveHopper(SR_HOPPER_DOWN)
    If Ret <> 1 Then
        Ret = MsgBox("Command error(?)", vbExclamation, "SR-2300 Sample Program")
        End
    End If

    '*************** usb close
    Ret = OMR_CloseDevice
    If Ret <> SR_SUCCESS Then
        Ret = MsgBox("OMR USB ERORR", 48, "SR-2300 Sample Program")
        End
    End If

End Sub



Function LongToBinString(ByVal n As Long) As String
    Dim s As String
    If (n And &H80000000) <> 0 Then
        s = "1"
    End If
    Dim i As Integer
    For i = 30 To 0 Step -1
        If (n And (2& ^ i)) <> 0 Then
            s = s & "1"
        Else
            If Len(s) <> 0 Then s = s & "0"
        End If
    Next i
    If Len(s) = 0 Then s = "0"
    LongToBinString = s
End Function

Private Sub Form_Unload(Cancel As Integer)
    End
End Sub


